#### Previous topic

scipy.signal.tf2zpk

#### Next topic

scipy.signal.tf2ss

# scipy.signal.tf2sos

`scipy.signal.``tf2sos`(b, a, pairing='nearest')

  Return second-order sections from transfer function representation

  Parameters:

  b : array_like

  > Numerator polynomial coefficients.

  a : array_like

  > Denominator polynomial coefficients.

  pairing : {‘nearest’, ‘keep_odd’}, optional

  > The method to use to combine pairs of poles and zeros into sections. See `zpk2sos`.

  Returns:

  sos : ndarray

  > Array of second-order filter coefficients, with shape `(n_sections, 6)`. See `sosfilt` for the SOS filter format specification.

  See also

  `zpk2sos`, `sosfilt`

  Notes

  It is generally discouraged to convert from TF to SOS format, since doing so usually will not improve numerical precision errors. Instead, consider designing filters in ZPK format and converting directly to SOS. TF is converted to SOS by first converting to ZPK format, then converting ZPK to SOS.

  New in version 0.16.0.